FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["Web/DeliveryFood.Web/DeliveryFood.Web.csproj", "Web/DeliveryFood.Web/"]
RUN dotnet restore "Web/DeliveryFood.Web/DeliveryFood.Web.csproj"
COPY . .
WORKDIR "/src/Web/DeliveryFood.Web"
RUN dotnet build "DeliveryFood.Web.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "DeliveryFood.Web.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DeliveryFood.Web.dll"]